Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004394 [JEDI VCL] 00 JVCL Components major always 2008-07-04 13:59 2008-11-02 12:26
Reporter tetardd View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.32
Summary 0004394: SelectedCount is not consistent with CodeGear's VCL functionalities
Description SelectedCount (using GetSelectedCount) returns -1 when the control is not multiselect, which is wrong. TTreeView, when not multi select, returns 1, which is a more logical way of doing things (same code can be used regardless of the control being multiselect or not).

Additional Information
Tags No tags attached.
Attached Files

- Relationships
has duplicate 0004396resolvedobones SelectedCount is not consistent with CodeGear's VCL functionalities 
has duplicate 0004395resolvedobones SelectedCount is not consistent with CodeGear's VCL functionalities 

-  Notes
(0014375)
obones (administrator)
2008-07-15 00:57

Please use the very latest version of the JVCL
Then, if the bug is still there, please provide the zipped sources of a sample application showing this.
(0014827)
obones (administrator)
2008-10-10 05:18

Any news?
(0014950)
AHUser (developer)
2008-11-02 12:26

Fixed in SVN.

TJvTreeView.SelectedCount now returns 1 (Selected<>nil) or 0 (Selected=nil) if MultiSelect=False.

- Issue History
Date Modified Username Field Change
2008-07-04 13:59 tetardd New Issue
2008-07-15 00:52 obones Relationship added has duplicate 0004396
2008-07-15 00:53 obones Relationship added has duplicate 0004395
2008-07-15 00:57 obones Note Added: 0014375
2008-07-15 00:57 obones Status new => feedback
2008-10-10 05:18 obones Note Added: 0014827
2008-11-02 12:26 AHUser Status feedback => resolved
2008-11-02 12:26 AHUser Fixed in Version => Daily / SVN
2008-11-02 12:26 AHUser Resolution open => fixed
2008-11-02 12:26 AHUser Assigned To => AHUser
2008-11-02 12:26 AHUser Note Added: 0014950


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker